Subject: bug#19229: ispell on Windows

From: Eli Zaretskii <[email-masked]>
Date: Thu, 21 May 2015 05:41:50 +0300

> Date: Wed, 20 May 2015 21:34:51 +0100
> From: Alan Third <[email-masked]>
> Cc: [email-masked]
> 
> > Instead, I suggest to copy en_GB.* dictionary files that Hunspell uses
> > to corresponding ENG.* files.
> 
> Doesn't work in OS X, but I'll give it a go in Windows tomorrow.

OS X should support the original names, like en_GB, and it should have
its locale set to that already.

> > Alternatively, say something like this in your ~/.emacs:
> >
> >   (ispell-change-dictionary "en_GB" t)
> >
> > which re-invokes Hunspell with the en_GB dictionary without messing
> > with your LANG variable.
> 
> Unfortunately this doesn't work, I get our old friend:
> 
>   ispell-phaf: No matching entry for nil.

Where did you get your Hunspell binary for Windows?  The above works
for me, so I suspect your Hunspell is subtly broken.

> And if I run it a second time I get:
> 
>   (error "Undefined dictionary: en_GB")

Does that happen in "emacs -Q" as well?  If not, have another look at
your Hunspell- and ispell-related customizations.

> I've given up on spell checking in emacs several times in the past and
> this is the closest I've ever got to getting it working across all the
> platforms I'm using.

On Posix platforms (including OS X), the locale setting should do
that.  On Windows, use one of the 2 methods I suggested, they do work
provided that Hunspell has its known bugs fixed.